Skip to main content
DELETE
/
api
/
v1
/
authorization
/
llm
/
delete
Delete a resource
curl --request DELETE \
  --url https://apigw.mka1.com/api/v1/authorization/llm/delete \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "resourceType": "completion",
  "resourceId": "<string>"
}
'
"<unknown>"

Authorizations

Authorization
string
header
required

Authenticate with your MKA1 API key at the API gateway: Authorization: Bearer <mka1-api-key>. For multi-user server-side integrations, also send X-On-Behalf-Of to identify the end user making the request.

Headers

X-On-Behalf-Of
string

Optional external user identifier for multi-user server-side integrations. Use this when acting on behalf of one of your end users.

Body

application/json
resourceType
enum<string>
required

Type of LLM resource

Available options:
completion,
file,
vector_store,
conversation,
response
resourceId
string
required

Unique identifier for the resource

Minimum string length: 1
Pattern: ^(\*|[a-zA-Z0-9_-]+)$

Response

Resource deleted successfully

The response is of type any.